# Created by pyp2rpm-3.3.5
%global pypi_name types-toml

Name:           python-%{pypi_name}
Version:        0.10.8.7
Release:        %mkrel 1
Summary:        Typing stubs for toml
Group:          Development/Python
License:        Apache-2.0 license
URL:            https://github.com/python/typeshed
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Typing stubs for toml. This is a PEP 561 type stub package for the toml package.
It can be used by type-checking tools like mypy, PyCharm, pytype etc. to check
code that uses toml.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Typing stubs for toml. This is a PEP 561 type stub package for the toml package.
It can be used by type-checking tools like mypy, PyCharm, pytype etc. to check
code that uses toml.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires 

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files toml-stubs

%files -n python3-%{pypi_name} -f %{pyproject_files}



%changelog
* Fri Dec 29 2023 papoteur <papoteur> 0.10.8.7-1.mga10
+ Revision: 2023922
- new version 0.10.8.7
- use generate_buildrequires macro
- rebuild for python 3.12

* Wed Sep 07 2022 papoteur <papoteur> 0.10.2-1.mga9
+ Revision: 1884841
- imported package python-types-toml

